## ucar.netcdf
Interface Netcdf

All Known Implementing Classes:
  AbstractNetcdf, NetcdfWrapper

public interface Netcdf

This is the interface for Netcdf objects. A Netcdf is seen as a set of Variables, the DimensionSet which is the union of the Dimensions used by the Variables, and any global Attributes. The Variable interface has data i/o (get/set) functionality.

This set, the associated DimensionSet and AttributeSet are immutable.

The portions of this interface which do not have to do with i/o capable Variables are available in Schema.

See Also:
  `Variable`, `DimensionSet`, `AttributeSet`, `Schema`, `Collection`

Method Summary
`boolean` `contains(Object oo)` Tests if the argument is in this set.
`boolean` `contains(String name)` Tests if the Variable identified by `name` is in this set.
`Variable` `get(String name)` Retrieve the variable associated with the specified name.
`Attribute` `getAttribute(String name)` Convenience function; look up global Attribute by name.
`AttributeSet` `getAttributes()` Returns the set of attributes associated with this, also know as the "global" attributes.
`DimensionSet` `getDimensions()` Returns the set of dimensions associated with this, the union of those used by each of the variables.
`VariableIterator` `iterator()` Returns VariableIterator for the elements.
`int` `size()` Returns the number of variables

Method Detail

### size

    public int size()

  Returns the number of variables

  Returns:
    int number of variables

### iterator

    public VariableIterator iterator()

  Returns VariableIterator for the elements.

  Returns:
    VariableIterator for the elements.
  See Also:
    `VariableIterator`

### get

    public Variable get(String name)

  Retrieve the variable associated with the specified name.

  Parameters:
    `name` - String which identifies the desired variable
  Returns:
    the variable, or null if not found

### contains

    public boolean contains(String name)

  Tests if the Variable identified by `name` is in this set.

  Parameters:
    `name` - String which identifies the desired variable
  Returns:
    `true` if and only if this set contains the named variable.

### contains

    public boolean contains(Object oo)

  Tests if the argument is in this set.

  Parameters:
    `oo` - some Object
  Returns:
    `true` if and only if this set contains `oo`

### getDimensions

    public DimensionSet getDimensions()

  Returns the set of dimensions associated with this, the union of those used by each of the variables.

  Returns:
    DimensionSet containing dimensions used by any of the variables. May be empty. Won't be null.

### getAttributes

    public AttributeSet getAttributes()

  Returns the set of attributes associated with this, also know as the "global" attributes.

  Returns:
    AttributeSet. May be empty. Won't be null.

### getAttribute

    public Attribute getAttribute(String name)

  Convenience function; look up global Attribute by name.

  Parameters:
    `name` - the name of the attribute
  Returns:
    the attribute, or null if not found